import React, { FC } from 'react';
import { Grid, Typography, Hidden, Container } from '@material-ui/core';
import { MapElement } from 'components/Dashboard/HomePage/MapElement';
import { NavBar } from 'components/Dashboard/HomePage/NavBar';
import { Numbers } from 'components/Dashboard/HomePage/Numbers';
import { Steps } from 'components/Dashboard/HomePage/Steps';
import { homePageStyle } from './HomePage.style';

export const HomePage: FC = () => {
  const classes = homePageStyle();

  return (
    <Grid container direction="column" className={classes.paddingBottom}>
      <div className={classes.root}>
        <Grid item>
          <NavBar />
        </Grid>

        <Grid item container className={classes.paddingBottom}>
          <Grid item xs={1} md={2} lg={2} />

          <Grid item xs={10} md={6} lg={4}>
            <Typography variant="h2" className={classes.whiteText}>
              Book Free Rides Now With
            </Typography>
            <Typography variant="h1" className={classes.whiteText}>
              MOVE AID
            </Typography>
          </Grid>

          <Grid item xs={false} md={3} lg={5}>
            <Hidden mdDown>
              <Container>
                <MapElement />
              </Container>
            </Hidden>
          </Grid>

          <Grid item xs={1} />
        </Grid>

        <Steps />
      </div>

      <Grid item container className={classes.paddingTop}>
        <Grid item xs={2} />
        <Grid item xs={8}>
          <Typography variant="h2">Your Next Reservation</Typography>
        </Grid>
        <Grid item xs={2} />
      </Grid>

      <Grid item container className={classes.paddingTop}>
        <Grid item xs={2} />
        <Grid item xs={8}>
          <Typography variant="h2" align="right">
            Some of our Numbers
          </Typography>
        </Grid>
        <Grid item xs={2} />
      </Grid>
      <Numbers />
    </Grid>
  );
};
